diff --git a/bin/get_calibrations b/bin/get_calibrations
index d543c491d9c77b3e1594e6ca2bbf48825e77bd9e..dbbe73d8c40a21bdc9a76b56aba2341c63902ce6 100755
--- a/bin/get_calibrations
+++ b/bin/get_calibrations
@@ -7,7 +7,12 @@ mkdir -p config
 for i in results/emcal_barrel_calibration.json ; do
   curl --fail -sL ${detector_benchmarks}/${i}?job=deploy_results --output config/$(basename ${i})
   if [[ "$?" -ne "0" ]] ; then
-    echo "Error: could not retrieve calibrations!"
-    exit 1
+    if find ${DETECTOR_PATH} -name $(basename $i) ; then
+      echo "Warning: falling back to DETECTOR_PATH for calibration ${i}."
+      cp $(find ${DETECTOR_PATH} -name $(basename $i)) config/$(basename ${i})
+    else
+      echo "Error: could not retrieve calibrations!"
+      exit 1
+    fi
   fi
 done